#include <stdio.h>

#define B(x) S_to_binary_(#x)

static inline unsigned long long S_to_binary_(const char *s) {
   unsigned long long i = 0;
   while (*s) {
      i <<= 1;
      i += *s++ - '0';
   }
   return i;
}

int main(int argc, char **argv) {
   int vh = 0x10;
   int vd = 16;
   int vb = B(10000);

   fprintf(stdout, "v hex %d\n", vh);
   fprintf(stdout, "v dec %d\n", vd);
   fprintf(stdout, "v bin %d\n", vb);
   return 0;
}
